@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';
$font-size-h1: 35px;
$font-size-h2: 30px;
$font-size-h3: 27.65px;
$font-size-h4: 23.04px;
$font-size-h5: 19.2px;
$font-size-p1: 16px;
$font-size-p2: 13.3px;
$font-size-p3: 11.1px;
.accordion-container .accordion-summary {
  z-index: -1;
}
@import url('https://fonts.googleapis.com/css?family=Poppins');
@keyframes wave {
  to {
    transform: translate(0, 0);
  }
}
.animate-wave {
  animation: wave 1s ease-in-out infinite alternate;
}
html,
body {
  margin: 0;
  background-color: #fff;
}

a {
  color: inherit;
  text-decoration: none;
  font-family: 'Gothic A1', sans-serif;
}
p {
  font-size: $font-size-p1;
  font-weight: 400;
  font-family: 'Gothic A1', sans-serif;
}
h1 {
  font-size: $font-size-h4;
  font-weight: 600;
}
h2 {
  font-size: $font-size-h5;
  font-weight: 600;
}
* {
  box-sizing: border-box;
}

//button classes
.xsm {
  font-size: $font-size-p2;
  @apply px-4;
}

.login-page {
  min-width: max-content;
  max-width: 700px;
  min-height: min-content;
  max-height: 600px;
  background-color: #0f4466;
  padding: 20px;
  z-index: 50;
}

//Slider component
.slide {
  @apply inline-block w-full;
}
/* .active_link {
  @apply border-b-primary-100 text-primary-100 border-b-2 font-bold;
} */
.modal-open {
  overflow: hidden;
}
//bootstrap classes
.container {
  @apply mx-auto w-full max-w-6xl  min-h-screen p-8;
}
.row {
  @apply grid grid-cols-12 gap-4;
}
.col-1 {
  @apply col-span-1;
}
.col-2 {
  @apply col-span-2;
}
.col-3 {
  @apply col-span-3;
}
.col-4 {
  @apply col-span-4;
}
.col-5 {
  @apply col-span-5;
}
.col-6 {
  @apply col-span-6;
}
.col-7 {
  @apply col-span-7;
}
.col-8 {
  @apply col-span-8;
}
.col-9 {
  @apply col-span-9;
}
.col-10 {
  @apply col-span-10;
}
.col-11 {
  @apply col-span-11;
}
.col-12 {
  @apply col-span-12;
}
.circle-sm {
  @apply flex h-3 w-3 items-center justify-center rounded-full;
}
.circle {
  @apply flex h-12 w-12 items-center justify-center rounded-full;
}
.h1 {
  font-size: $font-size-h1;
}

.h2 {
  font-size: $font-size-h2;
}

.h3 {
  font-size: $font-size-h3;
}
.row-span-all {
  grid-row: span all;
}
.h4 {
  font-size: $font-size-h4;
}

.h5 {
  font-size: $font-size-h5;
}

.p1 {
  font-size: $font-size-p1;
}

.p2 {
  font-size: $font-size-p2;
}
.p3 {
  font-size: $font-size-p3;
}

.mob_open {
  @apply w-2/3;
}
.mob_closed {
  @apply w-1 opacity-0;
}

.sm {
  @apply px-4 py-1;
}
.md {
  @apply p-2;
}
.lg {
  @apply p-3;
}

.primary_btn {
  @apply rounded-lg bg-primary200 text-main  transition-colors hover:bg-primary200;
}
.secondary_btn {
  @apply rounded-lg bg-amber-400 text-black transition-colors hover:bg-amber-500;
}
.gray_btn {
  @apply rounded-lg bg-gray-200 text-black  transition-colors hover:bg-gray-300;
}

.card {
  @apply rounded-md border-2 border-gray-300 bg-white p-0;
}
.txt_body {
  @apply font-sans text-base text-gray-400;
}
//spinner animation
@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}
.react-wavify {
  border: 2px solid white;
}
.spinner {
  animation: spin 1s linear infinite;
  border-bottom-color: transparent !important;
  border-left-color: transparent !important;
  border-right-color: transparent !important;
  border-top-color: currentColor !important;
  border-width: 2px !important;
}
.react-audio-player {
  & > input {
    background-color: aqua !important;
  }
}

body {
  font-family: 'Poppins', sans-serif;
}

.btn-white {
  background-color: #fff;
  color: #0f4466;
  transition: background-color 0.3s ease;
}
.btn-white:hover {
  background-color: #0f4466;
  color: #fff;
}
.btn-blue {
  background-color: #049dd9;
  color: #fff;
  border: 1px solid #fff;
  transition: background-color 0.3s ease;
}
.btn-blue:hover {
  background-color: #0f4466;
  color: #fff;
  border: 1px solid #0f4466;
}
.overflow-y-hidden {
  overflow-y: hidden;
}
.floating {
  animation-name: floating;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}
@keyframes floating {
  0% {
    transform: translate(0, 0px);
  }
  50% {
    transform: translate(0, 8px);
  }
  100% {
    transform: translate(0, -0px);
  }
}
.floating-4 {
  animation-name: floating;
  animation-duration: 4s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}
@keyframes floating-4 {
  0% {
    transform: translate(0, 0px);
  }
  50% {
    transform: translate(0, 8px);
  }
  100% {
    transform: translate(0, -0px);
  }
}

//custom scrolll Slider

.custom-scrollbar::-webkit-scrollbar {
  width: 14px;
}

.custom-scrollbar::-webkit-scrollbar-track {
  width: 10px;
  background-color: #fafafa;
  padding: 6px;
}

.custom-scrollbar::-webkit-scrollbar-thumb {
  background-color: #c1c1c1;
  border-radius: 20px;
  width: 3px !important;
}

[data-aos='shake'] {
  animation-duration: 1s;
  animation-name: shake;
  animation-iteration-count: 1;
}

[data-aos-hover='tada']:hover {
  animation-duration: 1s;
  animation-name: tada;
  animation-iteration-count: 1;
}

@keyframes shake {
  0% {
    transform: translate(0);
  }
  10%,
  30%,
  50%,
  70%,
  90% {
    transform: translate(-10px, 0);
  }
  20%,
  40%,
  60%,
  80%,
  100% {
    transform: translate(10px, 0);
  }
}
